<?xml version="1.0" encoding="UTF-8"?>
  <wsdl:definitions targetNamespace="http://orderManagerWebServices.tpplc.co.uk" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:intf="http://orderManagerWebServices.tpplc.co.uk" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
    <wsdl:types>
      <schema elementFormDefault="qualified" targetNamespace="http://orderManagerWebServices.tpplc.co.uk" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:intf="http://orderManagerWebServices.tpplc.co.uk">
        <element name="OM_Order_Create">
          <complexType>
            <sequence>
              <element name="OM_Order_CreateXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Order_CreateResponse">
          <complexType>
            <sequence>
              <element name="OM_Order_CreateXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Order_Receive_Status_Update">
          <complexType>
            <sequence>
              <element name="OM_Order_Receive_Status_UpdateXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Order_Receive_Status_UpdateResponse">
          <complexType>
            <sequence>
              <element name="OM_Order_Receive_Status_UpdateXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Send_Full_Status_Update">
          <complexType>
            <sequence>
              <element name="OM_Send_Full_Status_UpdateXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Send_Full_Status_UpdateResponse">
          <complexType>
            <sequence>
              <element name="OM_Send_Full_Status_UpdateXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Communication_Service">
          <complexType>
            <sequence>
              <element name="OM_Communication_ServiceXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Communication_ServiceResponse">
          <complexType>
            <sequence>
              <element name="OM_Communication_ServiceXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Order_Refund">
          <complexType>
            <sequence>
              <element name="OM_Order_RefundXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Order_RefundResponse">
          <complexType>
            <sequence>
              <element name="OM_Order_RefundXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Source_Transaction_Lookup">
          <complexType>
            <sequence>
              <element name="OM_Source_Transaction_LookupXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Source_Transaction_LookupResponse">
          <complexType>
            <sequence>
              <element name="OM_Source_Transaction_LookupXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Check_Fulfilment">
          <complexType>
            <sequence>
              <element name="OM_Check_FulfilmentXMLInput" type="string"/>
            </sequence>
          </complexType>
        </element>
        <element name="OM_Check_FulfilmentResponse">
          <complexType>
            <sequence>
              <element name="OM_Check_FulfilmentXMLOutput" type="string"/>
            </sequence>
          </complexType>
        </element>
        
      </schema>
    </wsdl:types>
    <wsdl:message name="OM_Send_Full_Status_UpdateRequest">
      <wsdl:part name="parameters" element="intf:OM_Send_Full_Status_Update"/>
    </wsdl:message>
    <wsdl:message name="OM_Source_Transaction_LookupRequest">
      <wsdl:part name="parameters" element="intf:OM_Source_Transaction_Lookup"/>
    </wsdl:message>
    <wsdl:message name="OM_Source_Transaction_LookupResponse">
      <wsdl:part name="parameters" element="intf:OM_Source_Transaction_LookupResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Check_FulfilmentRequest">
      <wsdl:part name="parameters" element="intf:OM_Check_FulfilmentRequest"/>
    </wsdl:message>
    <wsdl:message name="OM_Check_FulfilmentResponse">
      <wsdl:part name="parameters" element="intf:OM_Check_FulfilmentResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Send_Full_Status_UpdateResponse">
      <wsdl:part name="parameters" element="intf:OM_Send_Full_Status_UpdateResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_Receive_Status_UpdateRequest">
      <wsdl:part name="parameters" element="intf:OM_Order_Receive_Status_Update"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_RefundRequest">
      <wsdl:part name="parameters" element="intf:OM_Order_Refund"/>
    </wsdl:message>
    <wsdl:message name="OM_Communication_ServiceRequest">
      <wsdl:part name="parameters" element="intf:OM_Communication_Service"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_CreateRequest">
      <wsdl:part name="parameters" element="intf:OM_Order_Create"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_CreateResponse">
      <wsdl:part name="parameters" element="intf:OM_Order_CreateResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Communication_ServiceResponse">
      <wsdl:part name="parameters" element="intf:OM_Communication_ServiceResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_RefundResponse">
      <wsdl:part name="parameters" element="intf:OM_Order_RefundResponse"/>
    </wsdl:message>
    <wsdl:message name="OM_Order_Receive_Status_UpdateResponse">
      <wsdl:part name="parameters" element="intf:OM_Order_Receive_Status_UpdateResponse"/>
    </wsdl:message>
    <wsdl:portType name="Order_Manager">
      <wsdl:operation name="OM_Order_Create">
        <wsdl:input name="OM_Order_CreateRequest" message="intf:OM_Order_CreateRequest"/>
        <wsdl:output name="OM_Order_CreateResponse" message="intf:OM_Order_CreateResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Order_Receive_Status_Update">
        <wsdl:input name="OM_Order_Receive_Status_UpdateRequest" message="intf:OM_Order_Receive_Status_UpdateRequest"/>
        <wsdl:output name="OM_Order_Receive_Status_UpdateResponse" message="intf:OM_Order_Receive_Status_UpdateResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Send_Full_Status_Update">
        <wsdl:input name="OM_Send_Full_Status_UpdateRequest" message="intf:OM_Send_Full_Status_UpdateRequest"/>
        <wsdl:output name="OM_Send_Full_Status_UpdateResponse" message="intf:OM_Send_Full_Status_UpdateResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Communication_Service">
        <wsdl:input name="OM_Communication_ServiceRequest" message="intf:OM_Communication_ServiceRequest"/>
        <wsdl:output name="OM_Communication_ServiceResponse" message="intf:OM_Communication_ServiceResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Order_Refund">
        <wsdl:input name="OM_Order_RefundRequest" message="intf:OM_Order_RefundRequest"/>
        <wsdl:output name="OM_Order_RefundResponse" message="intf:OM_Order_RefundResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Source_Transaction_Lookup">
        <wsdl:input name="OM_Source_Transaction_LookupRequest" message="intf:OM_Source_Transaction_LookupRequest"/>
        <wsdl:output name="OM_Source_Transaction_LookupResponse" message="intf:OM_Source_Transaction_LookupResponse"/>
      </wsdl:operation>
      <wsdl:operation name="OM_Check_Fulfilment">
        <wsdl:input name="OM_Check_FulfilmentRequest" message="intf:OM_Check_FulfilmentRequest"/>
        <wsdl:output name="OM_Check_FulfilmentResponse" message="intf:OM_Check_FulfilmentResponse"/>
      </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="Order_ManagerSOAPBinding" type="intf:Order_Manager">
      <wsdlsoap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
      <wsdl:operation name="OM_Order_Create">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Order_CreateRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Order_CreateResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Order_Receive_Status_Update">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Order_Receive_Status_UpdateRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Order_Receive_Status_UpdateResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Send_Full_Status_Update">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Send_Full_Status_UpdateRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Send_Full_Status_UpdateResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Communication_Service">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Communication_ServiceRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Communication_ServiceResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Order_Refund">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Order_RefundRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Order_RefundResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Source_Transaction_Lookup">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Source_Transaction_LookupRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Source_Transaction_LookupResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
      <wsdl:operation name="OM_Check_Fulfilment">
        <wsdlsoap:operation soapAction=""/>
        <wsdl:input name="OM_Check_FulfilmentRequest">
          <wsdlsoap:body use="literal"/>
        </wsdl:input>
        <wsdl:output name="OM_Check_FulfilmentResponse">
          <wsdlsoap:body use="literal"/>
        </wsdl:output>
      </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="Order_Manager">
      <wsdl:port name="Order_Manager" binding="intf:Order_ManagerSOAPBinding">
        <wsdlsoap:address location="HTTP://dc0uxwsdev2:8181/Order_Manager"/>
      </wsdl:port>
    </wsdl:service>
  </wsdl:definitions>
